Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.util
Class PluginRegistry.PluginTest

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.util.PluginRegistry.PluginTest

All Implemented Interfaces:
  ResolverUtil.Test

Enclosing class:
  PluginRegistry

    public static class PluginRegistry.PluginTest

extends Object
implements ResolverUtil.Test

A Test that checks to see if each class is annotated with the 'Plugin' annotation. If it is, then the test returns true, otherwise false.

Since:
  2.1

Constructor Summary
`PluginRegistry.PluginTest()`

Method Summary
`boolean` | `doesMatchClass()`
`boolean` | `doesMatchResource()`
`boolean` | `matches(Class<?> type)` Will be called repeatedly with candidate classes.
`boolean` | `matches(URI resource)` Test for a resource.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginRegistry.PluginTest

    public PluginRegistry.PluginTest()

Method Detail

### matches

    public boolean matches(Class<?> type)

  Description copied from interface: `ResolverUtil.Test`
  Will be called repeatedly with candidate classes. Must return True if a class is to be included in the results, false otherwise.

  Specified by:
    `matches` in interface `ResolverUtil.Test`
  Parameters:
    `type` - The Class to match against.
  Returns:
    true if the Class matches.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### matches

    public boolean matches(URI resource)

  Description copied from interface: `ResolverUtil.Test`
  Test for a resource.

  Specified by:
    `matches` in interface `ResolverUtil.Test`
  Parameters:
    `resource` - The URI to the resource.
  Returns:
    true if the resource matches.

### doesMatchClass

    public boolean doesMatchClass()

  Specified by:
    `doesMatchClass` in interface `ResolverUtil.Test`

### doesMatchResource

    public boolean doesMatchResource()

  Specified by:
    `doesMatchResource` in interface `ResolverUtil.Test`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.